From mhoffman@lightlink.com Mon May  2 20:38:29 2005
Date: Mon, 2 May 2005 23:35:45 -0400
From: "Mark M. Hoffman" <mhoffman@lightlink.com>
To: linux-usb-devel@lists.sourceforge.net, Greg KH <greg@kroah.com>
Subject: USB: trivial error path fix

Trivial fix to USB class-creation error path; please apply.

Signed-off-by: Mark M. Hoffman <mhoffman@lightlink.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/core/file.c |    1 +
 1 files changed, 1 insertion(+)

--- gregkh-2.6.orig/drivers/usb/core/file.c	2005-05-05 22:14:12.000000000 -0700
+++ gregkh-2.6/drivers/usb/core/file.c	2005-05-05 22:14:12.000000000 -0700
@@ -82,6 +82,7 @@
 
 	usb_class = class_create(THIS_MODULE, "usb");
 	if (IS_ERR(usb_class)) {
+		error = PTR_ERR(usb_class);
 		err("class_create failed for usb devices");
 		unregister_chrdev(USB_MAJOR, "usb");
 		goto out;
